var env = 'development';
const md5 = require('./md5.js');
var createParam = require('./createParam.js');
var wiki = require('./wiki.js');
var location = require('./location.js');
const baseUrl = "http://localhost:8888"

const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

const curDate = () =>{
  var nowDate = new Date();
  var year = nowDate.getFullYear();
  var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1)  : nowDate.getMonth() + 1;
  var day = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate.getDate();
  return year + "-" + month + "-" + day;
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}

// 显示繁忙提示
var showBusy = text => wx.showToast({
    title: text,
    icon: 'loading',
    duration: 10000
})

// 显示成功提示
var showSuccess = text => wx.showToast({
    title: text,
    icon: 'success'
})

var showMsg = text => wx.showToast({
  title: text,
  icon: 'success',
  duration: 1000,
  mask: true
})

var showToast = (errCode, okText, text) => {
  if( errCode ==200 ){
    showSuccess( okText );
  }else{
    showMsg( text )
  }
}

// 显示失败提示
var showModel = (title, content) => {
    wx.hideToast();

    wx.showModal({
        title,
        content: JSON.stringify(content),
        showCancel: false
    })
}

// 请求
var http = (method, data, fun) => {
    let header = { 'content-type': 'application/json'}
    let authDB = wx.getStorageSync("@yunyuanqu");
    let user_id = authDB&&authDB.ID||0;
    let token=authDB&&authDB.token||''
    console.log( "authDB", authDB)
    if( user_id && token ){
      header['x-token'] = token
      header['x-user-id']= user_id
    }
    let body = JSON.stringify(data);
    wx.request({
    method: "POST",
    url: `${baseUrl}/${method}`,
    data: body,
    header:header,
    success: function(res) {
      if( res.statusCode === 200){
        let { code, data, msg} = res.data
        if( code == 0 ){
          fun&&fun(code, data)
        }else{
          fun&&fun(code, msg)
        }  
      }else{
        fun&&fun(404, "请求异常")
      }
    },
    fail: function(res) {
      showModel("请求异常", "网络异常")
      fun&&fun(404, "请求异常")
    }
  })
}
// 缩略图
var ossList = [
  {
    "url": "https://rbbaby.oss-cn-beijing.aliyuncs.com",
    "accessid": "13pLPAeBfleg6cQs",
    "accesskey":"CIX2vxlFQlro3GgMW07UNuUpaIYcnM"
  },
  {
    "url": "https://ddg-applets.oss-cn-hangzhou.aliyuncs.com",
    "accessid": "LTAIofD6SB93kjd1",
    "accesskey": "4suXiLQ8rTxbAZ3YGlbC6cCaDhOuzI"
  }
];

var uploadFile = (index, tempFilePaths, callback) =>{
    wx.showLoading({
      title: "正在上传图片",
      mask: true
    });
    let ossObj = ossList[index];
    var uploadOs = ossObj.url;
    var that = this;
    var param = createParam.getUploadParam(tempFilePaths, ossObj.accessid, ossObj.accesskey);
    param.name = tempFilePaths;
    wx.uploadFile({
      url: uploadOs,
      filePath: tempFilePaths,
      name: "file",
      /**上传的参数**/
      formData: param,
      success: function (res) {
        wx.hideLoading();
        if (callback){
          callback(uploadOs + "/" + param.key);
        }
       
      },
      fail: function (res) {
        wx.hideLoading();
        console.log(res)
      }
    })
}

var randFlower = function(){
  let catList = [];
  for( let i in wiki){
    catList.push( i );
  }
  let name = randOne( catList );
  return randOne( wiki[name]);
};

var randOne = function( list ){
  let index = parseInt(Math.random() * list.length);
  return list[index];
}

module.exports = { 
  formatTime, 
  curDate,
  showBusy, 
  showSuccess, 
  showMsg, 
  showModel, 
  http, 
  uploadFile, 
  showToast, 
  wiki,
  randFlower,
  baseUrl,
  location,
  randOne
}
